clear all
global Pc R T a b
Tc=647.4;
Pc=218.3;
R=0.08206;
a=0.42747*R^2*Tc^(5/2)/Pc;
b=0.08664*R*Tc/Pc;
Tr=1.2;
T=Tc*Tr;
Pr0=0.5;
Prf=30;
V0=0.523726;
[Pr,V]=ode45('p405a2f',[Pr0 Prf],V0);
P=Pr.*Pc;
Z=(P.*V)./(R*T);
Hdep=(3*a/(2*b*R*T^(1.5)))*log(1+b./V)-(Z-1);
Sdep=(a/(2*b*R*T^(1.5)))*log((1+b./V))-log(Z-(P*b)./(R*T));
plot(Pr,Hdep,Pr,Sdep,':')
xlabel('Reduced Pressure (Pr)')
ylabel('Departure Properties')